## golang-github-envoyproxy-protoc-gen-validate 1.0.2

=== debian/changelog ===
golang-github-envoyproxy-protoc-gen-validate (1.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1126668)
    - required for newer golang-google-cloud 0.115.0.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 27 Jan 2026 13:47:03 +0100
