=== debian/control ===
Source: golang-github-envoyproxy-protoc-gen-validate
Section: golang
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andrew Lee (李健秋) <ajqlee@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               dpkg-build-api (= 1),
               golang-any,
               golang-github-iancoleman-strcase-dev,
               golang-google-protobuf-dev,
               golang-golang-x-net-dev,
               golang-golang-x-tools-dev,
               golang-github-lyft-protoc-gen-star-dev,
               golang-github-spf13-afero-dev,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-envoyproxy-protoc-gen-validate
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-envoyproxy-protoc-gen-validate.git
Homepage: https://github.com/envoyproxy/protoc-gen-validate
XS-Go-Import-Path: github.com/envoyproxy/protoc-gen-validate

Package: golang-github-envoyproxy-protoc-gen-validate-dev
Section: devel
Architecture: all
Depends: ${misc:Depends},
Description: protocol buffer semantic validation generator for Go
 While protocol buffers effectively guarantee the types of structured data,
 they cannot enforce semantic rules for values. This package provides a
 protoc plugin and Go library that adds support for validating constraints
 expressed as annotations within the protobuf schema.
 .
 By generating "Validate" methods for the message types, it allows
 applications to enforce complex rules—such as string patterns, numerical
 ranges, and required fields—at the edge of the service. This ensures that
 only valid data enters the system, reducing the need for manual validation
 logic and improving the reliability of distributed systems.
