=== debian/rules ===
#!/usr/bin/make -f
export DH_GOLANG_EXCLUDES := \
 github.com/envoyproxy/protoc-gen-validate/tests

%:
	dh $@ --builddirectory=debian/_build --buildsystem=golang

override_dh_auto_install:
	dh_auto_install -- --no-binaries
